[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible debian: fixup installation of unstable/experimental versions of diffoscope for stable/testing releases
Mattia Rizzolo
mattia at debian.org
Sat Jul 15 11:46:46 UTC 2017
This is an automated email from the git hooks/post-receive script.
mattia pushed a commit to branch master
in repository jenkins.debian.net.
commit 36d88b06612905aa394a7cfbbc07a1c335a25f07
Author: Mattia Rizzolo <mattia at debian.org>
Date: Sat Jul 15 13:45:22 2017 +0200
reproducible debian: fixup installation of unstable/experimental versions of diffoscope for stable/testing releases
previously it would really work only for experimental
Signed-off-by: Mattia Rizzolo <mattia at debian.org>
---
bin/schroot-create.sh | 13 +++++++------
1 file changed, 7 insertions(+), 6 deletions(-)
diff --git a/bin/schroot-create.sh b/bin/schroot-create.sh
index e956adc..a484c4a 100755
--- a/bin/schroot-create.sh
+++ b/bin/schroot-create.sh
@@ -183,18 +183,19 @@ bootstrap() {
robust_chroot_apt install -y --no-install-recommends sudo
robust_chroot_apt install -y --no-install-recommends $@
# try to use diffoscope from experimental if available
- if [ "$SUITE" != "experimental" ] && [ "$1" = "diffoscope" ] ; then
- echo "deb $MIRROR experimental main" | sudo tee -a $SCHROOT_TARGET/etc/apt/sources.list > /dev/null
- robust_chroot_apt update
- # install diffoscope from experimental without re-adding all recommends...
- sudo chroot $SCHROOT_TARGET apt-get install -y -t experimental --no-install-recommends diffoscope || echo "Warning: diffoscope from experimental is uninstallable at the moment."
- elif ([ "$SUITE" != "unstable" ] && [ "$SUITE" != "experimental" ]) && [ "$1" = "diffoscope" ] ; then
+ if ([ "$SUITE" != "unstable" ] && [ "$SUITE" != "experimental" ]) && [ "$1" = "diffoscope" ] ; then
# always try to use diffoscope from unstable on stretch/buster
echo "deb $MIRROR unstable main" | sudo tee -a $SCHROOT_TARGET/etc/apt/sources.list > /dev/null
robust_chroot_apt update
# install diffoscope from unstable without re-adding all recommends...
sudo chroot $SCHROOT_TARGET apt-get install -y -t unstable --no-install-recommends diffoscope || echo "Warning: diffoscope from unstable is uninstallable at the moment."
fi
+ if [ "$SUITE" != "experimental" ] && [ "$1" = "diffoscope" ] ; then
+ echo "deb $MIRROR experimental main" | sudo tee -a $SCHROOT_TARGET/etc/apt/sources.list > /dev/null
+ robust_chroot_apt update
+ # install diffoscope from experimental without re-adding all recommends...
+ sudo chroot $SCHROOT_TARGET apt-get install -y -t experimental --no-install-recommends diffoscope || echo "Warning: diffoscope from experimental is uninstallable at the moment."
+ fi
if ! $DEBUG ; then set +x ; fi
if [ "$1" = "diffoscope" ] ; then
echo
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list